<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/PlayerModifiers/Modifiers/conditions/Poisoning.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/d4d/_poisoning_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Poisoning.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d4/d4d/_poisoning_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d3/da5/class_poisoning_mdfr.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d3/da5/class_poisoning_mdfr.html">PoisoningMdfr</a>: <a class="code hl_class" href="../../d8/d0a/class_modifier_base.html">ModifierBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d3/da5/class_poisoning_mdfr.html#aede49255944d347d214f348c9c4cdf9b">    3</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d3/da5/class_poisoning_mdfr.html#aede49255944d347d214f348c9c4cdf9b">AGENT_THRESHOLD_ACTIVATE</a> = 150;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d3/da5/class_poisoning_mdfr.html#a927eb2adf42ba4bead117434ca42923e">    4</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d3/da5/class_poisoning_mdfr.html#a927eb2adf42ba4bead117434ca42923e">AGENT_THRESHOLD_DEACTIVATE</a> = 0;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d3/da5/class_poisoning_mdfr.html#a47b8a84ca891b84423fc5eab5049ff7a">    6</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d3/da5/class_poisoning_mdfr.html#a47b8a84ca891b84423fc5eab5049ff7a">VOMIT_OCCURRENCES_PER_HOUR_MIN</a> = 60;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d3/da5/class_poisoning_mdfr.html#a8c5df57f55058627ee2f461443f56879">    7</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d3/da5/class_poisoning_mdfr.html#a8c5df57f55058627ee2f461443f56879">VOMIT_OCCURRENCES_PER_HOUR_MAX</a> = 120;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span> </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d3/da5/class_poisoning_mdfr.html#a5efa5d27d81c919f0027313e7136c03d">    9</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d3/da5/class_poisoning_mdfr.html#a5efa5d27d81c919f0027313e7136c03d">WATER_DRAIN_FROM_VOMIT</a> = 70;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d3/da5/class_poisoning_mdfr.html#acb1c59b70f40317a8b6e07180f0c18fd">   10</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d3/da5/class_poisoning_mdfr.html#acb1c59b70f40317a8b6e07180f0c18fd">ENERGY_DRAIN_FROM_VOMIT</a> = 55;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../d3/da5/class_poisoning_mdfr.html#aa0a3f09062c0991094b5ffe6cc00bbf3">   12</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/da5/class_poisoning_mdfr.html#aa0a3f09062c0991094b5ffe6cc00bbf3">Init</a>()</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    {</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a04ae6d90cb75d3086c27e65cddd358a0">m_TrackActivatedTime</a>    = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#ae8326cd63358abd4d8bfa7c8538fecd4">m_IsPersistent</a>          = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <a class="code hl_variable" href="../../d5/d2d/_effect_8c.html#a231c2447c3602426c9e06e6094bae8a8">m_ID</a>                    = <a class="code hl_enumeration" href="../../d9/d19/e_modifiers_8c.html#a38544df67f7f5b2fdf488d7705d7a582">eModifiers</a>.MDF_POISONING;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#aad5f52b5eb22d81599e8a25ec6055d22">m_TickIntervalInactive</a>  = <a class="code hl_variable" href="../../d3/d3c/_modifiers_manager_8c.html#ab41b0cbf9fe485932fbffc19ea426bac">DEFAULT_TICK_TIME_INACTIVE</a>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#aa9aa2d760c0099abe3d671d7c4c6368f">m_TickIntervalActive</a>    = <a class="code hl_variable" href="../../d3/d3c/_modifiers_manager_8c.html#ad7b192f22a83d324fbb2fc7fea14ad09">DEFAULT_TICK_TIME_ACTIVE</a>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    }</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d3/da5/class_poisoning_mdfr.html#a040b5decd120a3c0dd5a5ac702997a94">   21</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d3/da5/class_poisoning_mdfr.html#a040b5decd120a3c0dd5a5ac702997a94">GetDebugText</a>()</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    {</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <span class="keywordflow">return</span> (<span class="stringliteral">&quot;Activate threshold: &quot;</span>+<a class="code hl_variable" href="../../d3/da5/class_poisoning_mdfr.html#aede49255944d347d214f348c9c4cdf9b">AGENT_THRESHOLD_ACTIVATE</a> + <span class="stringliteral">&quot;| &quot;</span> +<span class="stringliteral">&quot;Deativate threshold: &quot;</span>+<a class="code hl_variable" href="../../d3/da5/class_poisoning_mdfr.html#a927eb2adf42ba4bead117434ca42923e">AGENT_THRESHOLD_DEACTIVATE</a>);</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    }</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../d3/da5/class_poisoning_mdfr.html#aab05fc9f358b2f037e03dfd0c0e4e7af">   26</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/da5/class_poisoning_mdfr.html#aab05fc9f358b2f037e03dfd0c0e4e7af">ActivateCondition</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <span class="keywordflow">if</span>(player.GetSingleAgentCount(<a class="code hl_enumeration" href="../../d3/dfb/_e_agents_8c.html#a5a5d699a74359c32fabcdcdcbe60c1ae">eAgents</a>.FOOD_POISON) &gt;= <a class="code hl_variable" href="../../d3/da5/class_poisoning_mdfr.html#aede49255944d347d214f348c9c4cdf9b">AGENT_THRESHOLD_ACTIVATE</a>) </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        }</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <span class="keywordflow">else</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        {</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        }</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    }</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d3/da5/class_poisoning_mdfr.html#a7dc03f93f89ca88702c3e30cdc685f67">   38</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/da5/class_poisoning_mdfr.html#a7dc03f93f89ca88702c3e30cdc685f67">DeactivateCondition</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="keywordflow">if</span>(player.GetSingleAgentCount(<a class="code hl_enumeration" href="../../d3/dfb/_e_agents_8c.html#a5a5d699a74359c32fabcdcdcbe60c1ae">eAgents</a>.FOOD_POISON) &lt;= <a class="code hl_variable" href="../../d3/da5/class_poisoning_mdfr.html#a927eb2adf42ba4bead117434ca42923e">AGENT_THRESHOLD_DEACTIVATE</a>) </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        {</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <span class="keywordflow">else</span> </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        {</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    }</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span> </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../d3/da5/class_poisoning_mdfr.html#a8dc8a59248056905c900dfc746d1ce33">   50</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/da5/class_poisoning_mdfr.html#a8dc8a59248056905c900dfc746d1ce33">OnActivate</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    {</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        player.IncreaseDiseaseCount();</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../d3/da5/class_poisoning_mdfr.html#ae54030f887d53366efd7d6a0abd03f4c">   55</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/da5/class_poisoning_mdfr.html#ae54030f887d53366efd7d6a0abd03f4c">OnReconnect</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        this.<a class="code hl_function" href="../../d4/d9e/human_8c.html#ad88f589957281ee7efebbc581b18bef1">OnActivate</a>(player);</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="../../d3/da5/class_poisoning_mdfr.html#a39f0ade24a3b60b6913283eadbe72d67">   60</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/da5/class_poisoning_mdfr.html#a39f0ade24a3b60b6913283eadbe72d67">OnDeactivate</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    {</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        player.DecreaseDiseaseCount();</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    }</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span> </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="../../d3/da5/class_poisoning_mdfr.html#a0fd40cdb4f5003512e2085cb9ce73006">   65</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/da5/class_poisoning_mdfr.html#a0fd40cdb4f5003512e2085cb9ce73006">OnTick</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <span class="keywordtype">float</span> deltaT)</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    {   </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        <span class="keywordtype">int</span> agent_max = PluginTransmissionAgents.GetAgentMaxCount(<a class="code hl_enumeration" href="../../d3/dfb/_e_agents_8c.html#a5a5d699a74359c32fabcdcdcbe60c1ae">eAgents</a>.FOOD_POISON);</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        <span class="keywordtype">int</span> agent_count = player.m_AgentPool.GetSingleAgentCount(<a class="code hl_enumeration" href="../../d3/dfb/_e_agents_8c.html#a5a5d699a74359c32fabcdcdcbe60c1ae">eAgents</a>.FOOD_POISON);</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <span class="keywordtype">float</span> stomach_volume = player.m_PlayerStomach.GetStomachVolume();</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <span class="keywordtype">float</span> norm_value = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gaa191e62ab92d20698e58e3a20950471a">InverseLerp</a>(0, agent_max, agent_count );</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <span class="keywordtype">float</span> eased_value = <a class="code hl_class" href="../../dc/dc0/class_easing.html">Easing</a>.<a class="code hl_function" href="../../dc/dc0/class_easing.html#afb8617d109776f7e0a8b8a7754f43ffd">EaseInCirc</a>(norm_value);</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        <span class="keywordtype">float</span> chance = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga1ac33c7be3c1e52ae6b70fe58c78266c">Lerp</a>(<a class="code hl_variable" href="../../d3/da5/class_poisoning_mdfr.html#a47b8a84ca891b84423fc5eab5049ff7a">VOMIT_OCCURRENCES_PER_HOUR_MIN</a>, <a class="code hl_variable" href="../../d3/da5/class_poisoning_mdfr.html#a8c5df57f55058627ee2f461443f56879">VOMIT_OCCURRENCES_PER_HOUR_MAX</a>, eased_value );</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        chance = (chance / 3600) * deltaT;</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <span class="keywordflow">if</span>( <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga0721fce39300fa5a6a172f4a5f197188">RandomFloat01</a>() &lt; chance )</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        {</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>            <a class="code hl_class" href="../../d9/db3/class_symptom_base.html">SymptomBase</a> symptom = player.GetSymptomManager().QueueUpPrimarySymptom(SymptomIDs.SYMPTOM_VOMIT);</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>            </div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>            <span class="keywordflow">if</span>( symptom )</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>            {</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>                symptom.<a class="code hl_function" href="../../d9/db3/class_symptom_base.html#a8016dbaee248c510542c852588074204">SetDuration</a>(5);</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span> </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>                <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.GetStatWater().Get() &gt; (<a class="code hl_variable" href="../../d3/da5/class_poisoning_mdfr.html#a5efa5d27d81c919f0027313e7136c03d">WATER_DRAIN_FROM_VOMIT</a>))</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>                    <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.GetStatWater().Add(-1 * <a class="code hl_variable" href="../../d3/da5/class_poisoning_mdfr.html#a5efa5d27d81c919f0027313e7136c03d">WATER_DRAIN_FROM_VOMIT</a>);</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>                <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.GetStatEnergy().Get() &gt; (<a class="code hl_variable" href="../../d3/da5/class_poisoning_mdfr.html#acb1c59b70f40317a8b6e07180f0c18fd">ENERGY_DRAIN_FROM_VOMIT</a>))</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>                    <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.GetStatEnergy().Add(-1 * <a class="code hl_variable" href="../../d3/da5/class_poisoning_mdfr.html#acb1c59b70f40317a8b6e07180f0c18fd">ENERGY_DRAIN_FROM_VOMIT</a>);</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>            }</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    }</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>};</div>
<div class="ttc" id="a_e_agents_8c_html_a5a5d699a74359c32fabcdcdcbe60c1ae"><div class="ttname"><a href="../../d3/dfb/_e_agents_8c.html#a5a5d699a74359c32fabcdcdcbe60c1ae">eAgents</a></div><div class="ttdeci">eAgents</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dfb/_e_agents_8c_source.html#l00002">EAgents.c:3</a></div></div>
<div class="ttc" id="a_effect_8c_html_a231c2447c3602426c9e06e6094bae8a8"><div class="ttname"><a href="../../d5/d2d/_effect_8c.html#a231c2447c3602426c9e06e6094bae8a8">m_ID</a></div><div class="ttdeci">protected int m_ID</div><div class="ttdoc">ID of effect, given by SEffectManager when registered (automatically done when playing through it)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2d/_effect_8c_source.html#l00049">Effect.c:49</a></div></div>
<div class="ttc" id="a_hand___events_8c_html_a02917914db83b7759e19cb7450c92354"><div class="ttname"><a href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a></div><div class="ttdeci">Man m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d21/_hand___events_8c_source.html#l00042">Hand_Events.c:42</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a04ae6d90cb75d3086c27e65cddd358a0"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a04ae6d90cb75d3086c27e65cddd358a0">m_TrackActivatedTime</a></div><div class="ttdeci">bool m_TrackActivatedTime</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00015">ModifierBase.c:15</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_aa9aa2d760c0099abe3d671d7c4c6368f"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#aa9aa2d760c0099abe3d671d7c4c6368f">m_TickIntervalActive</a></div><div class="ttdeci">float m_TickIntervalActive</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00019">ModifierBase.c:19</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_aad5f52b5eb22d81599e8a25ec6055d22"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#aad5f52b5eb22d81599e8a25ec6055d22">m_TickIntervalInactive</a></div><div class="ttdeci">float m_TickIntervalInactive</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00018">ModifierBase.c:18</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_ae8326cd63358abd4d8bfa7c8538fecd4"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#ae8326cd63358abd4d8bfa7c8538fecd4">m_IsPersistent</a></div><div class="ttdeci">bool m_IsPersistent</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00016">ModifierBase.c:16</a></div></div>
<div class="ttc" id="a_modifiers_manager_8c_html_ab41b0cbf9fe485932fbffc19ea426bac"><div class="ttname"><a href="../../d3/d3c/_modifiers_manager_8c.html#ab41b0cbf9fe485932fbffc19ea426bac">DEFAULT_TICK_TIME_INACTIVE</a></div><div class="ttdeci">const int DEFAULT_TICK_TIME_INACTIVE</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d3c/_modifiers_manager_8c_source.html#l00033">ModifiersManager.c:33</a></div></div>
<div class="ttc" id="a_modifiers_manager_8c_html_ad7b192f22a83d324fbb2fc7fea14ad09"><div class="ttname"><a href="../../d3/d3c/_modifiers_manager_8c.html#ad7b192f22a83d324fbb2fc7fea14ad09">DEFAULT_TICK_TIME_ACTIVE</a></div><div class="ttdeci">const int DEFAULT_TICK_TIME_ACTIVE</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d3c/_modifiers_manager_8c_source.html#l00031">ModifiersManager.c:31</a></div></div>
<div class="ttc" id="aclass_easing_html"><div class="ttname"><a href="../../dc/dc0/class_easing.html">Easing</a></div><div class="ttdoc">Input value between 0 and 1, returns value adjusted by easing, no automatic clamping of input(do your...</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc0/_easing_8c_source.html#l00002">Easing.c:3</a></div></div>
<div class="ttc" id="aclass_easing_html_afb8617d109776f7e0a8b8a7754f43ffd"><div class="ttname"><a href="../../dc/dc0/class_easing.html#afb8617d109776f7e0a8b8a7754f43ffd">Easing::EaseInCirc</a></div><div class="ttdeci">static float EaseInCirc(float t)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc0/_easing_8c_source.html#l00142">Easing.c:142</a></div></div>
<div class="ttc" id="aclass_modifier_base_html"><div class="ttname"><a href="../../d8/d0a/class_modifier_base.html">ModifierBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d04/_breath_vapour_mdfr_8c_source.html#l00003">BreathVapourMdfr.c:4</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_poisoning_mdfr_html"><div class="ttname"><a href="../../d3/da5/class_poisoning_mdfr.html">PoisoningMdfr</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d4d/_poisoning_8c_source.html#l00001">Poisoning.c:2</a></div></div>
<div class="ttc" id="aclass_poisoning_mdfr_html_a040b5decd120a3c0dd5a5ac702997a94"><div class="ttname"><a href="../../d3/da5/class_poisoning_mdfr.html#a040b5decd120a3c0dd5a5ac702997a94">PoisoningMdfr::GetDebugText</a></div><div class="ttdeci">override string GetDebugText()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d4d/_poisoning_8c_source.html#l00021">Poisoning.c:21</a></div></div>
<div class="ttc" id="aclass_poisoning_mdfr_html_a0fd40cdb4f5003512e2085cb9ce73006"><div class="ttname"><a href="../../d3/da5/class_poisoning_mdfr.html#a0fd40cdb4f5003512e2085cb9ce73006">PoisoningMdfr::OnTick</a></div><div class="ttdeci">override void OnTick(PlayerBase player, float deltaT)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d4d/_poisoning_8c_source.html#l00065">Poisoning.c:65</a></div></div>
<div class="ttc" id="aclass_poisoning_mdfr_html_a39f0ade24a3b60b6913283eadbe72d67"><div class="ttname"><a href="../../d3/da5/class_poisoning_mdfr.html#a39f0ade24a3b60b6913283eadbe72d67">PoisoningMdfr::OnDeactivate</a></div><div class="ttdeci">override void OnDeactivate(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d4d/_poisoning_8c_source.html#l00060">Poisoning.c:60</a></div></div>
<div class="ttc" id="aclass_poisoning_mdfr_html_a47b8a84ca891b84423fc5eab5049ff7a"><div class="ttname"><a href="../../d3/da5/class_poisoning_mdfr.html#a47b8a84ca891b84423fc5eab5049ff7a">PoisoningMdfr::VOMIT_OCCURRENCES_PER_HOUR_MIN</a></div><div class="ttdeci">static const int VOMIT_OCCURRENCES_PER_HOUR_MIN</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d4d/_poisoning_8c_source.html#l00006">Poisoning.c:6</a></div></div>
<div class="ttc" id="aclass_poisoning_mdfr_html_a5efa5d27d81c919f0027313e7136c03d"><div class="ttname"><a href="../../d3/da5/class_poisoning_mdfr.html#a5efa5d27d81c919f0027313e7136c03d">PoisoningMdfr::WATER_DRAIN_FROM_VOMIT</a></div><div class="ttdeci">static const int WATER_DRAIN_FROM_VOMIT</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d4d/_poisoning_8c_source.html#l00009">Poisoning.c:9</a></div></div>
<div class="ttc" id="aclass_poisoning_mdfr_html_a7dc03f93f89ca88702c3e30cdc685f67"><div class="ttname"><a href="../../d3/da5/class_poisoning_mdfr.html#a7dc03f93f89ca88702c3e30cdc685f67">PoisoningMdfr::DeactivateCondition</a></div><div class="ttdeci">override bool DeactivateCondition(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d4d/_poisoning_8c_source.html#l00038">Poisoning.c:38</a></div></div>
<div class="ttc" id="aclass_poisoning_mdfr_html_a8c5df57f55058627ee2f461443f56879"><div class="ttname"><a href="../../d3/da5/class_poisoning_mdfr.html#a8c5df57f55058627ee2f461443f56879">PoisoningMdfr::VOMIT_OCCURRENCES_PER_HOUR_MAX</a></div><div class="ttdeci">static const int VOMIT_OCCURRENCES_PER_HOUR_MAX</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d4d/_poisoning_8c_source.html#l00007">Poisoning.c:7</a></div></div>
<div class="ttc" id="aclass_poisoning_mdfr_html_a8dc8a59248056905c900dfc746d1ce33"><div class="ttname"><a href="../../d3/da5/class_poisoning_mdfr.html#a8dc8a59248056905c900dfc746d1ce33">PoisoningMdfr::OnActivate</a></div><div class="ttdeci">override void OnActivate(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d4d/_poisoning_8c_source.html#l00050">Poisoning.c:50</a></div></div>
<div class="ttc" id="aclass_poisoning_mdfr_html_a927eb2adf42ba4bead117434ca42923e"><div class="ttname"><a href="../../d3/da5/class_poisoning_mdfr.html#a927eb2adf42ba4bead117434ca42923e">PoisoningMdfr::AGENT_THRESHOLD_DEACTIVATE</a></div><div class="ttdeci">static const int AGENT_THRESHOLD_DEACTIVATE</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d4d/_poisoning_8c_source.html#l00004">Poisoning.c:4</a></div></div>
<div class="ttc" id="aclass_poisoning_mdfr_html_aa0a3f09062c0991094b5ffe6cc00bbf3"><div class="ttname"><a href="../../d3/da5/class_poisoning_mdfr.html#aa0a3f09062c0991094b5ffe6cc00bbf3">PoisoningMdfr::Init</a></div><div class="ttdeci">override void Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d4d/_poisoning_8c_source.html#l00012">Poisoning.c:12</a></div></div>
<div class="ttc" id="aclass_poisoning_mdfr_html_aab05fc9f358b2f037e03dfd0c0e4e7af"><div class="ttname"><a href="../../d3/da5/class_poisoning_mdfr.html#aab05fc9f358b2f037e03dfd0c0e4e7af">PoisoningMdfr::ActivateCondition</a></div><div class="ttdeci">override bool ActivateCondition(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d4d/_poisoning_8c_source.html#l00026">Poisoning.c:26</a></div></div>
<div class="ttc" id="aclass_poisoning_mdfr_html_acb1c59b70f40317a8b6e07180f0c18fd"><div class="ttname"><a href="../../d3/da5/class_poisoning_mdfr.html#acb1c59b70f40317a8b6e07180f0c18fd">PoisoningMdfr::ENERGY_DRAIN_FROM_VOMIT</a></div><div class="ttdeci">static const int ENERGY_DRAIN_FROM_VOMIT</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d4d/_poisoning_8c_source.html#l00010">Poisoning.c:10</a></div></div>
<div class="ttc" id="aclass_poisoning_mdfr_html_ae54030f887d53366efd7d6a0abd03f4c"><div class="ttname"><a href="../../d3/da5/class_poisoning_mdfr.html#ae54030f887d53366efd7d6a0abd03f4c">PoisoningMdfr::OnReconnect</a></div><div class="ttdeci">override void OnReconnect(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d4d/_poisoning_8c_source.html#l00055">Poisoning.c:55</a></div></div>
<div class="ttc" id="aclass_poisoning_mdfr_html_aede49255944d347d214f348c9c4cdf9b"><div class="ttname"><a href="../../d3/da5/class_poisoning_mdfr.html#aede49255944d347d214f348c9c4cdf9b">PoisoningMdfr::AGENT_THRESHOLD_ACTIVATE</a></div><div class="ttdeci">static const int AGENT_THRESHOLD_ACTIVATE</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d4d/_poisoning_8c_source.html#l00003">Poisoning.c:3</a></div></div>
<div class="ttc" id="aclass_symptom_base_html"><div class="ttname"><a href="../../d9/db3/class_symptom_base.html">SymptomBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/da3/_state_base_8c_source.html#l00001">StateBase.c:2</a></div></div>
<div class="ttc" id="aclass_symptom_base_html_a8016dbaee248c510542c852588074204"><div class="ttname"><a href="../../d9/db3/class_symptom_base.html#a8016dbaee248c510542c852588074204">SymptomBase::SetDuration</a></div><div class="ttdeci">void SetDuration(float duration)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/da3/_state_base_8c_source.html#l00080">StateBase.c:80</a></div></div>
<div class="ttc" id="ae_modifiers_8c_html_a38544df67f7f5b2fdf488d7705d7a582"><div class="ttname"><a href="../../d9/d19/e_modifiers_8c.html#a38544df67f7f5b2fdf488d7705d7a582">eModifiers</a></div><div class="ttdeci">eModifiers</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d19/e_modifiers_8c_source.html#l00001">eModifiers.c:2</a></div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_ga0721fce39300fa5a6a172f4a5f197188"><div class="ttname"><a href="../../d5/d98/group___math.html#ga0721fce39300fa5a6a172f4a5f197188">Math::RandomFloat01</a></div><div class="ttdeci">static float RandomFloat01()</div><div class="ttdoc">Returns a random float number between and min [inclusive] and max [inclusive].</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00106">EnMath.c:106</a></div></div>
<div class="ttc" id="agroup___math_html_ga1ac33c7be3c1e52ae6b70fe58c78266c"><div class="ttname"><a href="../../d5/d98/group___math.html#ga1ac33c7be3c1e52ae6b70fe58c78266c">Math::Lerp</a></div><div class="ttdeci">static proto float Lerp(float a, float b, float time)</div><div class="ttdoc">Linearly interpolates between 'a' and 'b' given 'time'.</div></div>
<div class="ttc" id="agroup___math_html_gaa191e62ab92d20698e58e3a20950471a"><div class="ttname"><a href="../../d5/d98/group___math.html#gaa191e62ab92d20698e58e3a20950471a">Math::InverseLerp</a></div><div class="ttdeci">static proto float InverseLerp(float a, float b, float value)</div><div class="ttdoc">Calculates the linear value that produces the interpolant value within the range [a,...</div></div>
<div class="ttc" id="ahuman_8c_html_ad88f589957281ee7efebbc581b18bef1"><div class="ttname"><a href="../../d4/d9e/human_8c.html#ad88f589957281ee7efebbc581b18bef1">OnActivate</a></div><div class="ttdeci">class HumanMovementState OnActivate()</div><div class="ttdoc">HumanCommandScript fully scriptable command.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9e/human_8c_source.html#l01024">human.c:1086</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_0e1c6459c1c3433a8fff963bc41b9946.html">PlayerModifiers</a></li><li class="navelem"><a class="el" href="../../dir_2f487fd4525d42d8067e7d1b4828f2de.html">Modifiers</a></li><li class="navelem"><a class="el" href="../../dir_af5a0bbd16f1deac0f80732119cbe418.html">conditions</a></li><li class="navelem"><a class="el" href="../../d4/d4d/_poisoning_8c.html">Poisoning.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
